﻿@model RaamatukoguAPP11.Raamat

@{
    ViewBag.Title = "Uus";
}

<h2>Sisesta andmebaasi uus raamat</h2>


@using (Html.BeginForm("Create", "Raamats", FormMethod.Post, new { enctype = "multipart/form-data" })) // parameetreid on vaja juhul kui create nupp ei lähe create actionresulti. Anname jõuliselt ette.
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        <h4>Raamat</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.Isbn, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Isbn, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ActionLink("Kliki siin, kui raamatul ei ole ISBN koodi", "GenereeriIsbn")
                @Html.ValidationMessageFor(model => model.Isbn, "", new { @class = "text-danger" })
            </div>
        </div>
        
        <div class="form-group">
            @Html.LabelFor(model => model.Tiitel, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Tiitel, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Tiitel, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Autor, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Autor, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Autor, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Aasta, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Aasta, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Aasta, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Pilt, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                <img src='@Url.Action("RaamatuPilt", "Raamats", new { id = Model.Kood } )' height="10" />
            </div>
            <div class="col-md-10">
                @*<label for="file">Vaheta pilt:</label>*@
                <input type="file" name="file" id="file" class="btn btn-default" />
            </div>
        </div>

        <div class="form-group">
            @Html.Label("Kategooria", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("KategooriaKood", null, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.KategooriaKood, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Sisesta" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Raamatute nimekiri", "Index")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
